
Smart Proxy - Refactor #7922

Let's re-use http(s) connection to foreman for subsequent requests

10/13/2014 10:56 AM - Šimon Lukašík

Status: Closed   

Priority: Low   

Assignee: Šimon Lukašík   

Category: API   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When smart-proxy forwards multiple reports to the Foreman, it should not create http(s) connection per request.

Associated revisions

Revision 8efc06c3 - 10/22/2014 10:07 AM - Šimon Lukašík 

Fixes #7922 - promote uri and http to instance property

This will allow to re-use existing http connection for subsequent

requests.

History

#1 - 10/22/2014 11:01 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset 8efc06c39ef96aa4337eb14fe4f4dce97d320d73.
